[POST] .../v1/report/addrequest
Unified method for adding a report request Use this method to enqueue generation of a supported report after selecting a report_id from Report/Get. The method validates report_id, request_data, disk-space quota, report-specific permissions and report-specific parameters, then creates a queued report request and returns Insert_uuid_Result with the new request UUID. request_data must be a JSON object for the selected report and is limited to 4096 serialized characters for raw handler reports; missing body, unknown report_id, unsupported report_id, invalid request_data, denied report permission, queue limits, quota errors and report-specific validation errors are returned as HTTP 200 ErrorResult business errors.
Request Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| report_id | Int64 | Required | Report ID from the Report/Get method. |
| request_data | Report0003Request / Report0005Request / Report0006Request / Report0007Request / Report0009Request / Report0011_Request_Model / Report0016Request / Report0017Request / Report0018Request / Report0020Request / Report0021Request / Report0022Request / Report0023Request / Report0024Request / Report0025_Request / Report0026_Request / Report0027Request / Report0028Request / Report0029Request / Report0030Request / Report0031Request / Report0032Request | Required | Parameters of a specific report. Use the request model that matches report_id. The JSON object size must not exceed 4096 characters for handler reports. |
Request Example
{
"report_id": 5,
"request_data": {
"start_date": 1771922400,
"end_date": 1772527199,
"firm_id": 2,
"stock_ids": [
8
],
"currency_id": 1
}
}
Response Parameters
| Name | Type | Description |
|---|---|---|
| ok | Boolean | Indicates whether the request completed successfully. |
| result | Insert_uuid | Created UUID record result. |
Response Example
{
"ok": true,
"result": {
"new_uuid": "f20c8f37-8bcb-4f7c-8dc5-8b0b2f4f0c11"
}
}